*** Elm113/winio.c	Sat Apr 18 14:43:24 1992
--- new/winio.c	Thu Apr 30 22:23:38 1992
***************
*** 10,15 ****
--- 10,24 ----
  #include <proto/intuition.h>
  #include <proto/diskfont.h>
  #endif
+ #ifdef DICE
+ #include <clib/alib_protos.h>
+ #include <clib/asl_protos.h>
+ #include <clib/dos_protos.h>
+ #include <clib/exec_protos.h>
+ #include <clib/graphics_protos.h>
+ #include <clib/intuition_protos.h>
+ #include <clib/diskfont_protos.h>
+ #endif
  #include <dos/dosextens.h>
  #include <graphics/text.h>
  #include <intuition/screens.h>
***************
*** 148,153 ****
--- 157,173 ----
        savedir = NULL;
      }
  
+ #ifdef DICE
+ #define ASLFR_TitleText         ASL_Hail
+ #define ASLFR_Window            ASL_Window
+ #define ASLFR_InitialDrawer     ASL_Dir
+ #define ASLFR_InitialFile       ASL_File
+ #define ASLFR_SleepWindow       TAG_IGNORE
+ #define ASLFR_InitialLeftEdge   ASL_LeftEdge
+ #define ASLFR_InitialTopEdge    ASL_TopEdge
+ #define ASLFR_InitialWidth      ASL_Width
+ #define ASLFR_InitialHeight     ASL_Height
+ #endif
      frq_tags[0].ti_Tag  = ASLFR_TitleText;
      frq_tags[0].ti_Data = (ULONG)"Select a file";
      frq_tags[1].ti_Tag  = ASLFR_Window;
***************
*** 327,334 ****
  
    textAttrIntui.ta_Name  = IntuiFontName;
    textAttrIntui.ta_YSize = IntuiFontSize;
!   textAttrIntui.ta_Style = NULL;
!   textAttrIntui.ta_Flags = NULL;
  
    if (!(textFontIntui=OpenDiskFont(&textAttrIntui))) {
      fprintf(stderr,"elm: cannot open font %s/%d\n",IntuiFontName,IntuiFontSize);
--- 347,354 ----
  
    textAttrIntui.ta_Name  = IntuiFontName;
    textAttrIntui.ta_YSize = IntuiFontSize;
!   textAttrIntui.ta_Style = 0;
!   textAttrIntui.ta_Flags = 0;
  
    if (!(textFontIntui=OpenDiskFont(&textAttrIntui))) {
      fprintf(stderr,"elm: cannot open font %s/%d\n",IntuiFontName,IntuiFontSize);
***************
*** 340,347 ****
  
    textAttrStd.ta_Name  = StdFontName;
    textAttrStd.ta_YSize = StdFontSize;
!   textAttrStd.ta_Style = NULL;
!   textAttrStd.ta_Flags = NULL;
  
    if (!(textFontStd=OpenDiskFont(&textAttrStd))) {
      fprintf(stderr,"elm: cannot open font %s/%d\n",StdFontName,StdFontSize);
--- 360,367 ----
  
    textAttrStd.ta_Name  = StdFontName;
    textAttrStd.ta_YSize = StdFontSize;
!   textAttrStd.ta_Style = 0;
!   textAttrStd.ta_Flags = 0;
  
    if (!(textFontStd=OpenDiskFont(&textAttrStd))) {
      fprintf(stderr,"elm: cannot open font %s/%d\n",StdFontName,StdFontSize);
***************
*** 351,358 ****
  
    textAttrPager.ta_Name  = PagerFontName;
    textAttrPager.ta_YSize = PagerFontSize;
!   textAttrPager.ta_Style = NULL;
!   textAttrPager.ta_Flags = NULL;
  
    if (!(textFontPager=OpenDiskFont(&textAttrPager))) {
      fprintf(stderr,"elm: cannot open font %s/%d\n",PagerFontName,PagerFontSize);
--- 371,378 ----
  
    textAttrPager.ta_Name  = PagerFontName;
    textAttrPager.ta_YSize = PagerFontSize;
!   textAttrPager.ta_Style = 0;
!   textAttrPager.ta_Flags = 0;
  
    if (!(textFontPager=OpenDiskFont(&textAttrPager))) {
      fprintf(stderr,"elm: cannot open font %s/%d\n",PagerFontName,PagerFontSize);
***************
*** 438,444 ****
        /* Are we to make our screen public? */
  
        if (PubScreenName)
!         PubScreenStatus(screen,NULL);
  /*
        else
          PubScreenStatus(screen,PSNF_PRIVATE);
--- 458,464 ----
        /* Are we to make our screen public? */
  
        if (PubScreenName)
!         PubScreenStatus(screen,0);
  /*
        else
          PubScreenStatus(screen,PSNF_PRIVATE);
***************
*** 559,565 ****
      size_array[2] = newwindow.Width/3;
  
      window_tags[0].ti_Tag  = WA_Zoom;
!     window_tags[0].ti_Data = (ULONG)&size_array;
      window_tags[1].ti_Tag  = WA_AutoAdjust;
      window_tags[1].ti_Data = (ULONG)TRUE;
      window_tags[2].ti_Tag  = TAG_END;
--- 579,585 ----
      size_array[2] = newwindow.Width/3;
  
      window_tags[0].ti_Tag  = WA_Zoom;
!     window_tags[0].ti_Data = (ULONG)size_array;
      window_tags[1].ti_Tag  = WA_AutoAdjust;
      window_tags[1].ti_Data = (ULONG)TRUE;
      window_tags[2].ti_Tag  = TAG_END;
***************
*** 670,675 ****
--- 690,696 ----
  
  void ElmToFront(void)
  {
+   if (ElmToFrontAllowed) {
      if (UseOwnScreen)
        ScreenToFront(screen);
      else {
***************
*** 678,683 ****
--- 699,705 ----
      }
  
      ActivateWindow(window);
+   }
  }
  
  
***************
*** 946,952 ****
    size_array[3] = screen->BarHeight+1;
  
    window_tags[0].ti_Tag  = WA_Zoom;
!   window_tags[0].ti_Data = (ULONG)&size_array;
    window_tags[1].ti_Tag  = TAG_END;
    window_tags[1].ti_Data = NULL;
  
--- 968,974 ----
    size_array[3] = screen->BarHeight+1;
  
    window_tags[0].ti_Tag  = WA_Zoom;
!   window_tags[0].ti_Data = (ULONG)size_array;
    window_tags[1].ti_Tag  = TAG_END;
    window_tags[1].ti_Data = NULL;
  
***************
*** 953,959 ****
    if (IntuitionBase->lib_Version>=36 && screen) {
      if (sh_win=OpenWindowTagList(&newwindow,window_tags)) {
        sprintf(exec,"newshell \"con:////AmigaElm Shell/WINDOW0x%lx\"",sh_win);
!       Execute(exec,NULL,NULL);
      }
    }
  }
--- 975,981 ----
    if (IntuitionBase->lib_Version>=36 && screen) {
      if (sh_win=OpenWindowTagList(&newwindow,window_tags)) {
        sprintf(exec,"newshell \"con:////AmigaElm Shell/WINDOW0x%lx\"",sh_win);
!       Execute(exec,(BPTR)NULL,(BPTR)NULL);
      }
    }
  }
